Skip to navigation

Update workspace

View as Markdown

Update a workspace’s description.

Example:

PUT /apis/entities/v2/workspaces/ml-team
{
"description": "Updated description for ML Team"
}

Path parameters

namestringRequired

Request

This endpoint expects an object.
descriptionstringOptional
Updated description

Response

Successful Response
idstring

System-generated UUID

namestring

Workspace name (user-provided)

created_atdatetime
Timestamp of workspace creation
updated_atdatetime
Timestamp of last workspace update
descriptionstringOptional
Optional description
created_bystringOptional
Principal id for workspace creator
updated_bystringOptional
Principal id for last workspace update

Errors

422
Unprocessable Entity Error